Bug 241648 - [CMake] Check for all required perl modules
Summary: [CMake] Check for all required perl modules
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CMake (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-15 14:29 PDT by Michael Catanzaro
Modified: 2022-06-15 18:03 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2022-06-15 14:29:45 PDT
Currently the build fails later on if we're missing required perl modules. Should check for them upfront instead. Currently we only check for JSON::PP.
Comment 1 Michael Catanzaro 2022-06-15 14:31:54 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1548
Comment 2 EWS 2022-06-15 18:03:26 PDT
Committed r295581 (251586@main): <https://commits.webkit.org/251586@main>

Reviewed commits have been landed. Closing PR #1548 and removing active labels.